<!DOCTYPE HTML PUBLIC "-//W3C/DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ page language="java" import="java.util.Locale" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Hyperlink Sample</title>
	<script type="text/javascript" language="Javascript" src="js/hyperlink.js"></script>
	<link rel="stylesheet" title="base" href="css/adf.css" type="text/css" media="screen" />
</head>

<body onload="registerHyperLinkRendererTagHandler();">
<f:view>
	<h:form id="gisform">
		<a:context id="context1" value="#{mapContext}" />
	        <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
	        <script type="text/javascript">
	          adfdojo.require("adf.adf");
	          adfdojo.requireLocalization("resource","adf");
	        </script>
		<table>
			<tr>
				<td>
				<a:toolbar id="toolbar1" toolbarStyle="TEXTONLY" mapId="map1" activeTool="ZoomIn">
					<a:tool id="Hyperlink" toolTip="hyperlinks" toolText="Hyperlink"
						clientAction="adf.MapPoint"
						serverMethod="#{mapContext.attributes['hyperlinkTask'].getHyperlinkAtPoint}" />
					<a:tool id="ZoomIn" toolTip="ZoomIn" toolText="ZoomIn"
						clientAction="adf.MapRectangle"
						serverAction="com.esri.adf.web.faces.event.ZoomInToolAction" />
					<a:tool toolTip="ZoomOut" toolText="ZoomOut"
						clientAction="adf.MapRectangle"
						serverAction="com.esri.adf.web.faces.event.ZoomOutToolAction" />
					<a:tool toolTip="Pan" toolText="Pan" clientAction="adf.MapPan"
						serverAction="com.esri.adf.web.faces.event.PanToolAction" />
					<a:command toolTip="FullExtent" toolText="FullExtent">
						<f:actionListener
							type="com.esri.adf.web.faces.event.ZoomFullExtentListener" />
						<f:attribute name="contextId" value="mapContext" />
					</a:command>
					<a:command toolTip="PreviousExtent" toolText="PreviousExtent"
						action="#{mapContext.attributes['history'].doPrevious}" />
					<a:command toolTip="NextExtent" toolText="NextExtent"
						action="#{mapContext.attributes['history'].doNext}" />
				</a:toolbar>
				<td>
			</tr>
			<tr>
				<td><a:map id="map1" style="border:1px solid black;"
					value="#{mapContext.webMap}" width="640" height="480" /></td>
			</tr>
			<tr>
				<td>hyperlink is from: <h:outputText value="#{mapContext.attributes['hyperlinkTask'].layerName}.#{mapContext.attributes['hyperlinkTask'].fieldName}"/></td>					
			</tr>
		</table>
	</h:form>

</f:view>
</body>
</html>
